INKSCAPE(1)

NOM
Inkscape - programme d'édition SVG (Scalable Vector Graphics).

SYNOPSIS
"inkscape [options] [nom_de_fichier ...]"

options:

    -?, --help
        --usage
    -V, --version

    -f, --file=NOMDEFICHIER

    -e, --export-png=NOMDEFICHIER
    -a, --export-area=x0:y0:x1:y1
    -C, --export-area-page
    -D, --export-area-drawing
        --export-area-snap
    -i, --export-id=ID
    -j, --export-id-only
    -t, --export-use-hints
    -b, --export-background=COULEUR
    -y, --export-background-opacity=VALEUR
    -d, --export-dpi=DPI
    -w, --export-width=LARGEUR
    -h, --export-height=HAUTEUR

    -P, --export-ps=NOMDEFICHIER
    -E, --export-eps=NOMDEFICHIER
    -A, --export-pdf=NOMDEFICHIER
        --export-latex

    -T, --export-text-to-path
        --export-ignore-filters

    -l, --export-plain-svg=NOMDEFICHIER

    -p, --print=IMPRIMANTE

    -I, --query-id=ID
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height
    -S, --query-all

    -x, --extension-directory

        --verb-list
        --verb=VERB-ID
        --select=OBJECT-ID

        --shell

    -g, --with-gui
    -z, --without-gui

        --vacuum-defs

        --g-fatal-warnings

DESCRIPTION
Inkscape est un éditeur de dessin au format Scalable Vector Graphics (SVG) doté d'une interface graphique, offrant des possibilités similaires à Adobe Illustrator, CorelDraw, Xara Xtreme, etc. Les fonctionnalités d'Inkscape comprennent une gestion versatile des formes, le dessin à main levée et les courbes de Bézier, le texte multiligne, le texte suivant un chemin, la transparence, les transformations affines, les remplissages par motif ou dégradé, l'édition de nœuds, l'export SVG vers PNG, le groupement, les calques, les clones interactifs et bien plus encore. L'interface est conçue pour être confortable et efficace pour les utilisateurs expérimentés tout en restant conforme aux spécifications de GNOME permettant ainsi aux utilisateurs d'applications GNOME de s'y habituer rapidement.

Le format SVG est un format XML standard pour le dessin vectoriel 2D. Il permet de définir des objets sur un dessin par l'utilisation de points, chemins et formes primitives. Les couleurs, fontes, largeur de contour et autres sont spécifiés en tant qu'attributs de 'style' de ces objets. Le but est de rendre possible l'utilisation de fichiers SVG pour un grand nombre de programmes et d'utilisation, SVG étant un standard et ses fichiers du type texte/xml.

Inkscape utilise le SVG comme format natif de ses documents, et a pour but de devenir le plus conforme des programmes de dessin SVG, disponible pour la communauté du logiciel libre.

OPTIONS

-?, --help
    Affiche un message d'aide.

-V, --version
    Affiche la version d'Inkscape et la date de compilation.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Pour l'export en PNG, définit la zone à exporter en pixels SVG (unité anonyme de longueur utilisée normalement par le format SVG Inkscape). Le comportement par défaut est d'exporter la page du document. Le point (0,0) est le coin inférieur gauche.

-C, --export-area-page
    Pour l'export en PNG, PDF, PS et EPS, la zone exportée est la page. C'est habituellement le comportement par défaut pour les formats PNG, PDF et PS, aussi spécifier cette option n'est pas nécessaire pour ces formats sauf si l'option --export-id est utilisée pour exporter un objet spécifique. En EPS, cependant, il ne s'agit pas du comportement par défaut. De plus, pour l'EPS, la spécification du format n'autorise pas sa boîte englobante à s'étendre au-delà de son contenu, ce qui signifie que lorsque l'option --export-area-page est utilisée pour l'export EPS, la boîte englobante de la page sera redimensionnée pour s'adapter à la boîte englobante de son contenu si elle est plus petite.

-D, --export-area-drawing
    Pour l'export en PNG, PDF, PS et EPS, la zone à exporter est le dessin entier (pas la page), c'est à dire la boîte englobante de l'ensemble des objets du document (ou des objets exportés lorsque l'option --export-id est utilisée). Avec cette option, l'image exportée n'affichera que les objets visibles du document sans marge ni massicotage. Il s'agit de l'option par défaut pour l'export au format EPS. Peut être combiné, lors de l'export en PNG, avec --export-use-hints.

--export-area-snap
    Arrondi les dimensions de la zone à exporter aux valeurs entières supérieures en unités SVG utilisateur (px). Si vous utilisez une résolution d'export de 90 ppp et que vos objets sont alignés aux pixels afin de minimiser l'anti-crénelage, cette option permet de préserver cet alignement même si l'export se fait selon des boîtes de contour (avec --export-id ou --export-area-drawing) qui ne sont pas correctement alignées sur les pixels.

-b COULEUR, --export-background=COULEUR
    Couleur de fond du PNG exporté. Cette valeur peut être n'importe quelle chaîne de couleur supportée par le format SVG, par exemple "#ff007f" ou "rgb(255, 0, 128)". Si cette couleur n'est pas définie, la couleur de page définie dans Inkscape via la boîte de dialogue Préférences du document sera utilisée (enregistrée dans l'attribut pagecolor= de sodipodi:namedview).

-d PPP, --export-dpi=PPP
    La résolution utilisée pour l'export en PNG. Elle est également utilisée pour définir le niveau de rastérisation des objets filtrés lors de l'export en PS, EPS ou PDF (sauf si l'option --export-ignore-filters est utilisée). Elle est de 90 par défaut, correspondant à 1 pixel SVG (px, aussi appelé « unité utilisateur ») s'exportant vers 1 pixel bitmap. Cette valeur préempte la PPP enregistrée avec le document si la commande est utilisée avec --export-use-hints.

-e NOMDEFICHIER, --export-png=NOMDEFICHIER
    Spécifie le nom de fichier pour l'export en PNG. S'il existe déjà, il sera écrasé sans demande de confirmation.

-f NOMDEFICHIER, --file=NOMDEFICHIER
    Ouvre le(s) document(s) spécifié(s). La chaîne d'option peut être omise, c'est à dire que vous pouvez lister les noms de fichier sans -f.

-g, --with-gui
    Tente d'utiliser l'interface graphique (sous Unix, utilise le serveur X, même si $DISPLAY n'est pas défini).

-h HAUTEUR, --export-height=HAUTEUR
    Hauteur du bitmap généré en pixels. Cette valeur préempte l'option --export-dpi (ou la PPP enregistrée avec le document si --export-use-hints est aussi utilisé).

-i ID, --export-id=ID
    Lors des exportations PNG, PS, EPS et PDF, valeur de l'attribut id de l'objet que vous voulez exporter depuis le document (aucun autre objet n'est exporté). Par défaut la zone exportée est la boîte englobante de l'objet ; vous pouvez préempter ce comportement en utilisant --export-area (pour le PNG seulement) ou --export-area-page.

-j, --export-id-only
    N'exporte que l'objet dont l'id est spécifiée avec avec l'option --export-id. Tout les autres objets seront cachés et n'apparaîtront pas dans le fichier exporté même s'ils chevauchent l'objet effectivement exporté. Cette option est ignorée si --export-id n'est pas aussi utilisé.

-l, --export-plain-svg=NOMDEFICHIER
    Exporte le(s) document(s) en SVG brut, sans espace de nom sodipodi: ou inkscape: et sans métadonnées RDF.

-x, --extension-directory
    Liste le contenu du répertoire d'extensions configuré en tant que tel par Inkscape, puis sort. Cette option est utilisée afin que les extensions externes utilisent la configuration originale générée à l'installation d'Inkscape.

--verb-list
    Liste tous les verbes disponibles dans Inkscape par identifiant. Cet identifiant peut être utilisé pour définir les actions du clavier ou les menus. Il peut également être utilisé avec l'option de ligne de commande --verb.

--verb=VERB-ID, --select=OBJECT-ID
    Ces deux options fonctionnent de concert pour offrir la possibilité d'écrire des scripts simples pour Inkscape depuis la ligne de commande. Il peuvent apparaître sur la ligne de commande aussi souvent que nécessaire et sont exécutés dans l'ordre pour tous les documents spécifiés.

    La commande --verb exécute une action spécifique comme si elle était appelée depuis un menu ou un bouton. Un boîte de dialogue apparaît lorsqu'elle fait partie de l'action. Utilisez l'option --verb-list pour lister les identifiants d'action disponibles.

    La commande --select sélectionne les objects correspondants à l'identifiant spécifié. Les actions suivantes ne s'appliquent alors qu'à cette sélection. Pour désélectionner tous les objets, utilisez --verb=EditDeselect. Les identifiants d'objet disponibles dépendent du document ouvert.

-p IMPRIMANTE, --print=IMPRIMANTE
    Imprime le(s) document(s) vers l'imprimante spécifiée en utilisant `lpr -P IMPRIMANTE'. Vous pouvez aussi utiliser `| COMMANDE' pour spécifier un tube de commande différent, ou utiliser `> NOMDEFICHIER' pour écrire le résultat PostScript dans un fichier au lieu de l'imprimer. N'oubliez pas d'utiliser les guillemets appropriés pour votre shell, par exemple :

    inkscape --print='| ps2pdf - mondoc.pdf' mondoc.svg

-t, --export-use-hints
    Utilise le nom de fichier et la PPP enregistrés avec l'objet exporté (uniquement si --export-id est spécifié). Ces valeurs sont automatiquement spécifiées si vous exportez la sélection depuis Inkscape. Donc, si par exemple, vous exportez la forme id="path231" en tant que /home/me/shape.png avec une résolution de 300 ppp depuis document.svg en utilisant l'interface graphique d'Inkscape, et sauvez le document, vous pourrez réexporter plus tard cette forme vers le même fichier et avec la même résolution en utilisant simplement la commande :

    inkscape -i path231 -t document.svg

    Si vous utilisez --export-dpi, --export-width, ou --export-height avec cette option, la PPP enregistrée avec le document sera ignorée et la valeur fournie à la ligne de commande utilisée. Si vous utilisez --export-png avec cette option, le nom de fichier enregistré avec le document sera ignoré et le nom de fichier fourni à la ligne de commande utilisé.

-w LARGEUR, --export-width=LARGEUR
    Largeur du bitmap généré en pixels. Cette valeur préempte l'option --export-dpi setting (ou la PPP enregistrée avec le document si --export-use-hints est aussi utilisé).

-y VALEUR, --export-background-opacity=VALEUR
    Opacité du fond du PNG exporté. Cela peut être une valeur entre 0.0 et 1.0 (0.0 : complètement transparent, 1.0 complètement opaque) ou supérieure à 1 et inférieure à 255 (255 : complètement opaque). Si cette valeur n'est pas spécifiée et si l'option -b n'est pas utilisée, l'opacité de la page enregistrée avec le document (dans l'attribut inkscape:pageopacity= de sodipodi:namedview) sera utilisée. Si cette valeur n'est pas spécifiée mais que l'option -b est utilisée, la valeur 255 (opacité complète) sera utilisée.

-P NOMDEFICHIER, --export-ps=NOMDEFICHIER
    Exporte le ou les documents au format PostScript. Notez que PostScript ne supporte pas la transparence, et que tout objet transparent dans le SVG original sera automatiquement rastérisé. Les polices utilisés sont incorporées en tant que sous-ensemble. La zone d'exportation par défaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est également possible de n'exporter qu'un objet en spécifiant --export-id (tous les autres objets sont cachés). Dans ce cas, la zone d'exportation correspond à celle de l'objet choisi, à moins que vous n'ajoutiez l'option --export-area-page pour que cette zone prenne la taille de la page.

-E NOMDEFICHIER, --export-eps=NOMDEFICHIER
    Exporte le ou les documents au format Encapsulated PostScript. Notez que PostScript ne supporte pas la transparence, et que tout objet transparent dans le SVG original sera automatiquement rastérisé. Les polices utilisés sont incorporées en tant que sous-ensemble. La zone d'exportation par défaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est également possible de n'exporter qu'un objet en spécifiant --export-id (tous les autres objets sont cachés).

-A FILENAME, --export-pdf=FILENAME
    Exporte le ou les documents au format PDF. Ce format préserve la transparence des objets présents dans le SVG original. Les polices utilisés sont incorporées en tant que sous-ensemble. La zone d'exportation par défaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est également possible de n'exporter qu'un objet en spécifiant --export-id (tous les autres objets sont cachés). Dans ce cas, la zone d'exportation correspond à celle de l'objet choisi, à moins que vous n'ajoutiez l'option --export-area-page pour que cette zone prenne la taille de la page.

--export-latex
    (for PS, EPS, and PDF export) Used for creating images for LaTeX documents, where the image's text is typeset by LaTeX. When exporting to PDF/PS/EPS format, this option splits the output into a PDF/PS/EPS file (e.g. as specified by --export-pdf) and a LaTeX file. Text will not be output in the PDF/PS/EPS file, but instead will appear in the LaTeX file. This LaTeX file includes the PDF/PS/EPS. Inputting (\input{image.tex}) the LaTeX file in your LaTeX document will show the image and all text will be typeset by LaTeX. See the resulting LaTeX file for more information. Also see GNUPlot's `epslatex' output terminal.

-T, --export-text-to-path
    Convertit les objets texte en chemins lors de l'export, si applicable (pour l'exportation en PS, EPS ou PDF).

--export-ignore-filters
    Exporte les objets filtrés (avec du flou, par exemple) comme des vecteurs, en ignorant les filtres (pour l'exportation en PS, EPS ou PDF). Par défaut, tous les objets filtrés sont rastérisés à une définition choisie par --export-dpi (par défaut 90 ppp), en préservant son apparence.

-I, --query-id
    Identifiant de l'objet dont les dimensions sont demandées. Si cette option n'est pas utilisée, la commande retournera les dimensions du dessin, pas de la page ou de la zone affichée.

-X, --query-x
    Demande l'abscisse (coordonnée X) du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en pixels (unité utilisateur SVG).

-Y, --query-y
    Demande l'ordonnée (coordonnée Y) du dessin ou, si spécifié avec --query-id de l'objet. La valeur retournée est en pixels (unité utilisateur SVG).

-W, --query-width
    Demande la largeur du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en pixels (unité utilisateur SVG).

-H, --query-height
    Demande la hauteur du dessin ou, si spécifié avec --query-id, de l'objet. La valeur retournée est en pixels (unité utilisateur SVG).

-S, --query-all
    Affiche un liste délimitée par des virgules des tous les objets du document SVG comprenant leur identifiant, et les valeurs x, y, largeur et hauteur.

--shell
    Avec ce paramètre, Inkscape entre en mode de ligne de commande interactif. Dans ce mode, vous pouvez envoyer des commandes à Inkscape par le prompt, sans avoir à lancer une nouvelle instance du logiciel à chaque commande. Cette fonctionnalité est particulièrement utile pour une utilisation en scripts et en serveur. Elle permet d'améliorer la vitesse d'exécution et l'occupation en mémoire des scripts utilisés de façon répétée. Chaque commande, dans ce mode, doit contenir tous les paramètres d'une ligne de commande classique, à l'exception du nom du programme (inkscape), comme dans l'exemple suivant : "fichier.svg --export-pdf=fichier.pdf".

--vacuum-defs
    Supprime tous les éléments inutilisés de la section <lt>defs<gt> du fichier SVG. Si cette option est utilisée avec --export-plain-svg, seul le fichier exporté sera affecté. Si cette option est utilisée seule, le fichier spécifié sera modifié.

-z, --without-gui
    Ne lance pas l'interface graphique (sous Unix, n'utilise pas le server X) ; ne traite les fichiers que depuis la console. Ceci est présupposé pour les options -p, -e, -l et --vacuum-defs.

--g-fatal-warnings
    Cette option GTK standard force l'arrêt d'Inkscape dès qu'un message d'avertssement (généralement sans gravité) est envoyé (utilisée à des fins de déboggage).

--usage
    Affiche un bref message sur l'utilisation d'Inkscape.

CONFIGURATION
Le fichier de configuration principal est placé dans ~/.config/Inkscape/preferences.xml. Il contient plusieurs types de paramétrages dont vous pouvez changer la valeur dans Inkscape (la plupart dans la boîte de dialogue Préférences d'Inkscape). Vous pouvez ajouter des configurations spécifiques dans les sous-répertoires suivants :

$HOME/.config/Inkscape/extensions/ - extensions.

$HOME/.config/Inkscape/icons/ - icônes.

$HOME/.config/Inkscape/keys/ - association des touches du clavier aux commandes.

$HOME/.config/Inkscape/templates/ - modèles de fichiers.

DIAGNOSTICS
Le programme retourne la valeur zéro après une utilisation réussie ou différente de zéro après un problème.

Des messages d'erreur et des avertissements divers peuvent être envoyés vers STDERR ou STDOUT. Si le programme se comporte de façon erratique avec un fichier SVG particulier, ou se plante, il est utile de chercher des indices dans ces messages.

EXEMPLES
Bien qu'Inkscape soit principalement conçu comme une application graphique, il peut aussi être utilisé depuis la ligne de commande pour certaines opérations SVG.

Ouvrir un fichier SVG avec l'interface graphique :

    inkscape nomdefichier.svg

Imprimer un fichier SVG :

    inkscape nomdefichier.svg -p '| lpr'

Exporter un fichier SVG en PNG avec la résolution par défaut de 90 ppp (un pixel bitmap correspondant à une unité utilisateur SVG) :

    inkscape nomdefichier.svg --export-png=nomdefichier.png

Idem, mais en forçant les dimensions du fichier à 600x400 pixels :

    inkscape nomdefichier.svg --export-png=nomdefichier.png -w600 -h400

Idem, mais en exportant le dessin (la boîte englobante de tous les objets), et pas la page :

    inkscape nomdefichier.svg --export-png=nomdefichier.png --export-area-drawing

Exporter en PNG l'objet id="text1555", en utilisant le nom de fichier et la résolution utilisés la dernière fois qu'il a été exporté depuis l'interface graphique :

    inkscape nomdefichier.svg --export-id=text1555 --export-use-hints

Idem, mais en utilisant une résolution de 90 ppp, en spécifiant un nom de fichier et en arrondissant la zone à exporter aux valeurs entières juste supérieures en unités utilisateur SVG (afin de préserver l'alignement des objets sur des pixels et minimiser l'anti-crénelage) :

    inkscape nomdefichier.svg --export-id=text1555 --export-png=text.png --export-area-snap

Convertir un document du format SVG Inkscape au format SVG brut :

    inkscape nomdefichier1.svg --export-plain-svg=nomdefichier2.svg

Convertir un document SVG en EPS, en convertissant les textes en chemins :

    inkscape nomdefichier.svg --export-eps=nomdefichier.eps --export-text-to-path

Demander la largeur de l'objet avec un id="text1555" :

    inkscape nomdefichier.svg --query-width --query-id text1555

Dupliquer l'objet ayant pour identifiant id="path1555", puis appliquer une rotation de 90 degrés sur le duplicat, enregistrer le SVG et quitter :

    inkscape nomdefichier.svg --select=path1555 --verb=EditDuplicate --verb=ObjectRotate90 --verb=FileSave --verb=FileClose

ENVIRONEMENT
DISPLAY pour obtenir l'hôte par défaut et le numéro d'affichage.

TMPDIR pour définir le chemin par défaut du répertoire à utiliser pour stocker les fichier temporaires. Le répertoire doit exister.

THÈMES
Vous pouvez remplacer le fichier d'icônes par défaut $PREFIX/share/inkscape/icons/icons.svg en utilisant le répertoire $HOME/.config/inkscape/icons/. Les icônes sont chargées par nom (ex. : fill_none.svg) ou, si elles sont introuvables, depuis le fichier icons.svg. Si une icône n'est pas trouvée dans l'un de ces emplacements, elle est chargée depuis l'emplacement par défaut du système.

Les icônes nécessaires sont chargées depuis les fichiers SVG par recherche de l'id SVG correspondant (Par exemple, pour charger l'icône "fill_none" depuis un fichier, le contenu identifié par l'id SVG "fill_none" est rendu en tant que cette icône, qu'il vienne du fichier fill_none.svg ou du fichier icons.svg).

AUTRES INFORMATIONS
L'endroit principal pour trouver des informations sur Inkscape est http://www.inkscape.org/. Le site web contient des liens vers d'autres éléments pertinents : documentation, didacticiels, manuel de l'utilisateur, exemples, archives des listes de diffusion, la dernière version d'Inkscape, les bases contenant les défauts et les demandes d'évolution, et bien d'autres choses.

VOIR AUSSI
potrace, cairo, rsvg(1), batik, ghostscript, pstoedit.

Suite de tests de conformité SVG : http://www.w3.org/Graphics/SVG/Test/

Validation de SVG : http://jiggles.w3.org/svgvalidator/

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 14 January 2003 <http://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 November 2003 <http://www.w3.org/TR/SVG12/>

SVG 1.1/1.2/2.0 Requirements W3C Working Draft 22 April 2002 <http://www.w3.org/TR/SVG2Reqs/>

Document Object Model (DOM): Level 2 Core Arnaud Le Hors et al editors, W3C http://www.w3.org/TR/DOM-Level-2-Core/ <http://www.w3.org/TR/DOM-Level-2-Core/>

NOTES SUR L'INTERFACE GRAPHIQUE
Pour vous familiariser avec l'utilisation de l'interface graphique d'Inkscape, consultez les didacticiels dans Aide > Didacticiels.

Inkscape permet d'importer (Fichier > Importer) la plupart des formats bitmaps PNG, BMP, JPG, XPM, GIF, etc.), du texte brut (nécessite Perl), PS et EPS (nécessite Ghostscript) et les formats PDF et AI (documents Adobe Illustrato 9.0 ou plus récent).

Inkscape permet d'exporter (Fichier > Exporter) des images PNG 32-bits, mais aussi aux formats AI, PS, EPS, PDF, DXF et plusieurs autres formats (via Fichier > Enregistrer sous).

Inkscape supporte la pression et l'inclinaison du stylet d'une tablette graphique pour la largeur, la force et l'angle de plusieurs outils dont la plume calligraphique.

Inkscape comporte une interface graphique pour le moteur de vectorisation de bitmaps Potrace (http://potrace.sf.net) qui est inclus dans Inkscape.

Inkscape peut utiliser des scripts externes (filtres de stdin vers stdout) représentés par des commandes dans le menu Effets. Un script peut avoir une interface graphique, sous forme de boîte de dialogue, permettant de définir différents paramètres et peut obtenir les IDs des objets sélectionnés sur lesquels agir depuis la ligne de commande. Inkscape est livré avec un assortiment d'effets écrits en Python dédiés principalement à la manipulation de chemin.

RACCOURCIS CLAVIER
Pour obtenir une liste complète des raccourcis clavier et souris, consultez le fichier doc/keys.html, ou utilisez la commande Clavier et souris dans le menu d'aide de l'interface graphique.

DÉFAUTS
Beaucoup de bugs sont connus ; veuillez s'il vous plaît consulter le site web pour vérifier ceux qui ont déjà été rapportés et pour soumettre de nouveaux problèmes. Consultez aussi la section "Known Issues" des notes de votre version (dans le fichier `NEWS').

AUTEURS
Ce code doit son existence à un grand nombre de contributeurs tout au long de ses différentes incarnations. La liste qui suit est certainement incomplète mais permet de reconnaître les nombreuses épaules sur lesquelles cette application s'est appuyée :

Maximilian Albert, Josh Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Henrik Bohre, Boldewyn, Daniel Borgmann, Bastien Bouclet, Gustav Broberg, Christopher Brown, Hans Breuer, Marcus Brubaker, Luca Bruno, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Robert Crosbie, Jon Cruz, Aurélie De-Cooman, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Tim Dwyer, Maxim V. Dziumanenko, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Heckert, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Dmitry G. Mastrukov, Matiphas, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Christian Neumair, Andreas Nilsson, Mitsuru Oka, Marten Owens, Alvin Penner, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Aurélio A. Heckert, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Shivaken, Michael Sloan, Danilo Šegan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Martin Sucha, Pat Suwalski, Adib Taraben, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Lucas Vieites, Michael Wybrow, Daniel Yacob, David Yip, Masatake Yamato

Cette page de manuel a été créée par Bryce Harrington <brycehar@bryceharrington.com>.

HISTORIQUE
Le code qui allait devenir Inkscape est né en 1999, avec le programme Gill, GNOME Illustrator, créé par Raph Levien. L'objectif défini pour Gill était de supporter complètement le format SVG. Raph a codé le modèle Postcript de courbes de Bézier, incluant le remplissage et le contour, les coiffes et raccords de lignes, le texte, etc. La page de Raph consacrée à Gill se trouve sur http://www.levien.com/svg/. Le travail sur Gill semble avoir diminué ou s'être arrêté en 2000.

L'incarnation suivante du code allait devenir le très populaire Sodipodi, mené par Lauris Kaplinski. Le code est devenu un outil d'illustration puissant après plusieurs années de travail, ajoutant plusieurs nouvelles fonctionnalités, le support multilingue, le portage sous Windows et d'autres systèmes d'exploitation et éliminant certaines dépendances.

Inkscape a été lancé en 2003 par quatre développeurs actifs de Sodipodi (Bryce Harrington, MenTaLguY, Nathan Hurst et Ted Gould), qui voulaient faire prendre une orientation différente au code en termes de focalisation sur la conformité SVG, aspect et fonctionnement de l'interface, et d'opportunités de développement ouvertes à plus de participants. Le projet a progressé rapidement, gagnant de nombreux contributeurs et une multitude de fonctionnalités.

Beaucoup de travail a été depuis consacré à la stabilisation du code et à l'internationalisation. Le moteur de rendu hérité de Sodipodi comportait de nombreuses spécificités qui entrainaient de plantages lorsque l'utilisation du programme sortait des sentiers battus. Ce moteur a alors été remplacé par Livarot qui, bien qu'imparfait, générait moins d'erreurs. Le projet a également adopté la bonne habitude de publier son code régulièrement, et encouragé les utilisateurs à tester des versions en développement du logiciel, ce qui a bien aidé dans l'identification des nouveaux défauts, et donné les moyens aux utilisateurs de vérifier que les anciens étaient bien corrigés. Inkscape a ainsi acquis une réputation de programme robuste et fiable.

En parallèle, des efforts ont été faits pour améliorer l'internationalisation et la localisation de l'interface, ce qui a apporté au projet de nouveaux contributeurs tout autour du monde.

Inkscape a eu un impact positif sur l'attractivité visuelle de l'Open Source en général, en offrant un outil pour créer et partager des icônes, écrans d'accueil, art pour le web, etc. D'une certaine façon, bien que n'étant qu'un "simple outil de dessin", Inkscape a joué un rôle important en rendant l'Open Source plus stimulant visuellement parlant pour un plus large public.

COPYRIGHT ET LICENSE
Copyright (C) 1999–2011 des auteurs.

Inkscape est un logiciel libre; vous pouvez le redistribuer et/ou le modifier selon les termes de la license GPL.